#!/bin/sh
#
#  Dr.Web (R) init script
#  $Revision: 1.1 $
#

case "$1" in
    stop)
	echo -n "Shutting down Dr. Web daemon..."
	kill `cat /usr/local/drweb/run/drwebd.pid | head -1`
    ;;
    reload)
	echo -n "Reloading Dr. Web daemon..."
	kill -HUP `cat /usr/local/drweb/run/drwebd.pid | head -1`
    ;;
    restart)
	echo -n "Restarting Dr. Web daemon..."
	kill `cat /usr/local/drweb/run/drwebd.pid | head -1`
	sleep 1
	/usr/local/drweb/drwebd -ini=/usr/local/drweb/drweb32.ini
    ;;
    start)
	echo -n "Starting Dr. Web daemon..."
	/usr/local/drweb/drwebd -ini=/usr/local/drweb/drweb32.ini
    ;;
    *)
    echo $0: 'start|stop|restart|reload'
    ;;
esac

